Bug 145053 - CAN-2005-0064 xpdf buffer overflow
CAN-2005-0064 xpdf buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gpdf (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Marco Pesenti Gritti
impact=important,embargoed=20050118
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-01-13 17:45 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-16 08:21:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-13 17:45:31 EST
*** This bug has been split off bug 145049 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.13
17:30 -------

iDEFENSE has reported a stack based buffer overflow in xpdf.

The patch is here:
ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.00pl3.patch


The iDEFENSE advisory is attachment 109745 [details]
Comment 1 Josh Bressers 2005-01-13 17:47:35 EST
Dan,

We're going to need some new packages rolled for RHSA-2005:027 to fix this new
issue.  Please respect the embargo when working with CVS.
Comment 2 Josh Bressers 2005-01-14 07:16:54 EST
The patch URL does not yet work.  We don't have a patch from upstream yet.  I'll
update the bugs as soon as I know.
Comment 3 Mark J. Cox (Product Security) 2005-01-19 05:22:27 EST
Now public, see URL for patch, removing embargo
Comment 4 Dan Williams 2005-01-19 11:53:07 EST
Marco, you want to take this one?  If not I'll do it.
Comment 5 Marco Pesenti Gritti 2005-01-19 11:55:40 EST
Dan, I'm working on it. I built the package and I'm finishing to file the
errata. I'm a bit slow because it's my first errata... hopefully I'm doing
things right ;)
Comment 6 Marco Pesenti Gritti 2005-01-19 14:49:11 EST
I *think* everything is done here. Please let me know if there are problems,
it's my first errata, I tried to be careful but... it's not the simpler process
in the world ;)
Comment 7 Josh Bressers 2005-01-19 15:04:12 EST
Marco,

The things look fine, thanks.  I'm moving the bug to modified.
Comment 8 Jay Turner 2005-02-16 08:21:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-057.html

Note You need to log in before you can comment on or make changes to this bug.